使用IDEA开发工具,提示编译错误的问题。

  • 比如 switch语句提示 incompatible types found java.lang.string, require:
    byte, char, short or int,意思就是类型错误,不支持字符串类型。
  • 其实这个是java的语言级别没有设置好导致的问题,因为jdk1.7之前的版本是不支持switch的字符串类型的,所以我们只需要调整IDEA编译器的语言级别为1.7及以上级别即可。

1、报错:(switch里面是String类型)编译器提示类型错误
在这里插入图片描述

2、解决:

文件菜单File,然后点击Project Structure,打开项目结构对话框
在这里插入图片描述

在左边菜单列表点击project,右侧设置Project SDK,选择1.7及以上;Project language level一开始显示的当前语言级别是6,选择7及以上即可。

在这里插入图片描述

再点击Modules,然后设置Language level,这个是模块级别的语言设置,默认是随着项目级别变动的,如果之前手动修改过低级别的,这样就需要手动调整了。

在这里插入图片描述

以上设置完成之后,点击确定按钮,然后回到一开始代码编译报红的switch语句的地方,这个时候就不再报错了。String类型可以正常的被switch语句识别了

在这里插入图片描述


版权声明:本文为weixin_46122692原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
原文链接:https://blog.csdn.net/weixin_46122692/article/details/109080357